#include <iostream>
#include <string>
#include <vector>
using namespace std;

int main() {
  string s = "SATELLITE";
  int64_t K;
  while (cin >> K) {
    vector<int64_t> dyn(s.size()+1);
    dyn[s.size()] = 1;
    vector<int64_t> sums;
    for (;;) {
      for (int j = s.size()-1; j > 0; j--) {
        for (int k = 0; k < s.size(); k++) if (s[k] == s[j]) dyn[k] = min(K+1, dyn[k] + dyn[k+1]);
      }
      if (dyn[1] > K) break;
      sums.push_back(dyn[1]);
    }

    for (int i = sums.size()-1; i >= 0; i--) {
      while (sums[i] <= K) {
        cout << s[0];
        K -= sums[i];
      }
      cout << s.substr(1);
    }
    cout << endl;
  }
}
